routes/web.php
<?php

use App\Http\Controllers\{
    HomeController,
    MoviesController,
    DashboardController,
};
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [HomeController::class, 'index'])->name('home');

Route::get('/movies/{id}', [MoviesController::class, 'show'])->name('movies.show'); 

Route::group([
    'middleware' => [
        'auth:sanctum',
        config('jetstream.auth_session'),
        'verified',
    ],
    'prefix' => 'dashboard',
    'as' => 'dashboard.',
], function () {
    Route::get('/', [DashboardController::class, 'index'])->name('index');
    Route::get('/movies', [DashboardController::class, 'getMovies'])->name('movies');
    Route::get('/movies/refetch', [DashboardController::class, 'refetchMovies'])->name('movies.refetch');
    Route::get('/movies/{id}', [DashboardController::class, 'deleteMovie'])->name('movies.delete');
    Route::get('/movies/{id}/edit', [DashboardController::class, 'editMovie'])->name('movies.edit');
    Route::post('/movies/{id}/update', [DashboardController::class, 'updateMovie'])->name('movies.update');
});

app/Models/Category.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use HasFactory;
    protected $fillable = [
        'genre_id',
        'name',
    ];

    
    public function movies()
    {
        return $this->belongsToMany(Movie::class, 'movie_category', 'category_id', 'movie_id');
    }
}

app/Models/Movie.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Movie extends Model
{
    use HasFactory;
    protected $fillable = [
        'movie_id',
        'title',
        'vote_average',
        'release_date',
        'overview',
        'image',
    ];

    public function categories()
    {
        return $this->belongsToMany(Category::class, 'movie_category', 'movie_id', 'category_id');
    }
}

app/Models/User.php
<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Fortify\TwoFactorAuthenticatable;
use Laravel\Jetstream\HasProfilePhoto;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens;
    use HasFactory;
    use HasProfilePhoto;
    use Notifiable;
    use TwoFactorAuthenticatable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
        'two_factor_recovery_codes',
        'two_factor_secret',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    /**
     * The accessors to append to the model's array form.
     *
     * @var array<int, string>
     */
    protected $appends = [
        'profile_photo_url',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, ValidatesRequests;
}

app/Http/Controllers/DashboardController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Movie;
use App\Models\Category;
use Illuminate\Support\Facades\Artisan;


class DashboardController extends Controller
{
    public function index()
    {
        return view('dashboard.index');
    }

    public function getMovies()
    {
        $movies = Movie::all();

        return view('dashboard.movies', [
            'movies' => $movies
        ]);
    }

    public function deleteMovie($id)
    {
        $movie = Movie::findOrFail($id);
        $movie->delete();

        return redirect()->route('dashboard.movies');
    }

    public function editMovie($id)
    {
        $movie = Movie::findOrFail($id)->load('categories');
        $categories = Category::all();

        return view('dashboard.editMovie', [
            'movie' => $movie,
            'categories' => $categories
        ]);
    }

    public function updateMovie(Request $request, $id)
    {
        $movie = Movie::findOrFail($id);
        $movie->title = $request->title;
        $movie->overview = $request->overview;
        $movie->categories()->sync($request->categories);
        $movie->save();

        return redirect()->route('dashboard.movies');
    }

    public function refetchMovies()
    {
        Artisan::call('movies:store-trending');

        return redirect()->route('dashboard.movies');
    }
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Movie;
use Illuminate\Support\Facades\Artisan;
use App\Models\Category;

class HomeController extends Controller
{
    public function index(Request $request)
    {
        $categories = Category::all();
        if (Movie::count() == 0) {
            Artisan::call('movies:store-trending');
        }

        $title = $request->input('title');
        $selectedCategories = $request->input('categories');
        $movies = Movie::where('title', 'like', "%$title%")
            ->when($selectedCategories, function ($query, $selectedCategories) {
                return $query->whereHas('categories', function ($query) use ($selectedCategories) {
                    $query->whereIn('category_id', $selectedCategories);
                });
            })->paginate(8);


        return view('home', ['movies' => $movies, 'categories' => $categories]);
    }

    public function search(Request $request)
    {
        $title = $request->input('title');
        $movies = Movie::where('title', 'like', "%$title%")->get();

        return view('home', ['movies' => $movies]);
    }

}

app/Http/Controllers/MoviesController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;
use App\Models\Movie;

class MoviesController extends Controller
{
    public function show($id)
    {

        $movie = Movie::where('movie_id', $id)->with('categories')->first();

        $_movie = $this->getMovieById($id);
        $movie->production_companies = isset($_movie->production_companies) ? $_movie->production_companies : [];
        $movie->homepage = isset($_movie->homepage) ? $_movie->homepage : '#';

        return view('movies.show', ['movie' => $movie])->layout('layouts.guest');

    }

    public function getMovieById($id)
    {
        try {
            $API_KEY = env('THEMOVIEDB_API_KEY');
            $response = Http::withHeaders([
                'Authorization' => 'Bearer ' . $API_KEY,
            ])->get('https://api.themoviedb.org/3/movie/' . $id . '?language=en-US');

            $data = $response->object();

            return $data;
        } catch (\Exception $e) {

            return $e->getMessage();
        }
    }
}

app/View/Components/AppLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\View\View;

class AppLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     */
    public function render(): View
    {
        return view('layouts.app');
    }
}

app/View/Components/GuestLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\View\View;

class GuestLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     */
    public function render(): View
    {
        return view('layouts.guest');
    }
}

resources/views/dashboard/editMovie.blade.php
<x-app-layout>
    @push('styles')
        <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
        <style>
            .select2-container--default .select2-selection--multiple {
                min-height: 41.6px;
                display: flex;
                align-items: center;
                border-radius: .5rem;
                background-color: #f9fafb;
                padding-left: 6px;
            }
        </style>
    @endpush

    <div class="container max-w-screen-xl mx-auto">
        <nav class=" flex py-4 px-6 " aria-label="Breadcrumb">
            <ol class="inline-flex items-center space-x-1 md:space-x-2 rtl:space-x-reverse">
                <li class="inline-flex items-center">
                    <a href="{{ route('dashboard.index') }}"
                        class="inline-flex items-center text-sm font-medium text-gray-700 hover:text-blue-600 dark:text-gray-400 dark:hover:text-white">
                        <svg class="w-3 h-3 me-2.5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
                            fill="currentColor" viewBox="0 0 20 20">
                            <path
                                d="m19.707 9.293-2-2-7-7a1 1 0 0 0-1.414 0l-7 7-2 2a1 1 0 0 0 1.414 1.414L2 10.414V18a2 2 0 0 0 2 2h3a1 1 0 0 0 1-1v-4a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v4a1 1 0 0 0 1 1h3a2 2 0 0 0 2-2v-7.586l.293.293a1 1 0 0 0 1.414-1.414Z" />
                        </svg>
                        Dashboard
                    </a>
                </li>
                <li>
                    <div class="flex items-center">
                        <svg class="rtl:rotate-180 w-3 h-3 text-gray-400 mx-1" aria-hidden="true"
                            xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 6 10">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                d="m1 9 4-4-4-4" />
                        </svg>
                        <a href="{{ route('dashboard.movies') }}"
                            class="inline-flex items-center text-sm font-medium text-gray-700 hover:text-blue-600 dark:text-gray-400 dark:hover:text-white">
                            Movies
                        </a>
                    </div>
                </li>
                <li>
                    <div class="flex items-center">
                        <svg class="rtl:rotate-180 w-3 h-3 text-gray-400 mx-1" aria-hidden="true"
                            xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 6 10">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                d="m1 9 4-4-4-4" />
                        </svg>
                        <span class="text-sm font-medium text-gray-700">
                            Edit Movie
                        </span>
                    </div>
                </li>
            </ol>
        </nav>
    </div>
    <div class="container max-w-screen-xl mx-auto px-4 py-16">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg dark:bg-gray-800 p-8">

                <form class="mx-auto max-w-xl" method="POST"
                    action="{{ route('dashboard.movies.update', $movie->id) }}">
                    @csrf
                    <div class="mb-5">
                        <label for="title" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">
                            Movie Title
                        </label>
                        <input type="title" id="title" name="title"
                            class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                            placeholder="Please enter the movie title" required value="{{ $movie->title }}" />
                    </div>

                    <div class="mb-5">
                        <label for="category" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">
                            Category
                        </label>

                        <select id="categories" name="categories[]" multiple
                            class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                            required>
                            <option value="">Select a category</option>
                            @foreach ($categories as $category)
                                <option value="{{ $category->id }}"
                                    {{ in_array($category->id, $movie->categories->pluck('id')->toArray()) ? 'selected' : '' }}>
                                    {{ $category->name }}
                                </option>
                            @endforeach
                        </select>
                    </div>


                    <div class="mb-5">
                        <label for="overview"
                            class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Description</label>
                        <textarea id="overview" name="overview"
                            class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                            placeholder="Please enter the movie overview" required rows="12">{{ $movie->overview }}</textarea>
                    </div>

                    <button type="submit"
                        class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full sm:w-auto px-5 py-2.5 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">Submit</button>
                </form>

            </div>
        </div>
    </div>

    @push('scripts')
        <script src="https://code.jquery.com/jquery-3.7.1.min.js"
            integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
        <script>
            $(document).ready(function() {
                $('#categories').select2({
                    placeholder: '-- Select categories --',
                });
            });
        </script>
    @endpush

</x-app-layout>

resources/views/dashboard/index.blade.php
<x-app-layout>
    <div class="container max-w-screen-xl mx-auto">
        <nav class="flex py-4 px-6 " aria-label="Breadcrumb">
            <ol class="inline-flex items-center space-x-1 md:space-x-2 rtl:space-x-reverse">
                <li class="inline-flex items-center">
                    <svg class="w-3 h-3 me-2.5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor"
                        viewBox="0 0 20 20">
                        <path
                            d="m19.707 9.293-2-2-7-7a1 1 0 0 0-1.414 0l-7 7-2 2a1 1 0 0 0 1.414 1.414L2 10.414V18a2 2 0 0 0 2 2h3a1 1 0 0 0 1-1v-4a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v4a1 1 0 0 0 1 1h3a2 2 0 0 0 2-2v-7.586l.293.293a1 1 0 0 0 1.414-1.414Z" />
                    </svg>
                    Details
                </li>
            </ol>
        </nav>
    </div>

    <div class="container max-w-screen-xl mx-auto px-4 py-16 flex flex-wrap justify-center gap-4">
        <div class="w-[400px] mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg">
                <div
                    class="p-6 bg-white border border-gray-200 rounded-lg shadow dark:bg-gray-800 dark:border-gray-700">
                    <a href="#">
                        <h5 class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white">Movies</h5>
                    </a>
                    <p class="mb-3 font-normal text-gray-700 dark:text-gray-400">
                        See movies list, update, delete movies and fetch movies from the API.
                    </p>
                    <a href="{{ route('dashboard.movies') }}"
                        class="inline-flex items-center px-3 py-2 text-sm font-medium text-center text-white bg-blue-700 rounded-lg hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
                        Details
                        <svg class="rtl:rotate-180 w-3.5 h-3.5 ms-2" aria-hidden="true"
                            xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 14 10">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                d="M1 5h12m0 0L9 1m4 4L9 9" />
                        </svg>
                    </a>
                </div>
            </div>
        </div>

        <div class="w-[400px] mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg">
                <div
                    class="p-6 bg-white border border-gray-200 rounded-lg shadow dark:bg-gray-800 dark:border-gray-700">
                    <a href="#">
                        <h5 class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white">Categories</h5>
                    </a>
                    <p class="mb-3 font-normal text-gray-700 dark:text-gray-400">
                        TODO: See categories list, update, delete categories.
                    </p>
                    <a href="#"
                        class="inline-flex items-center px-3 py-2 text-sm font-medium text-center text-white bg-blue-700 rounded-lg hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
                        Details
                        <svg class="rtl:rotate-180 w-3.5 h-3.5 ms-2" aria-hidden="true"
                            xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 14 10">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                d="M1 5h12m0 0L9 1m4 4L9 9" />
                        </svg>
                    </a>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>

resources/views/home.blade.php
<x-guest-layout>
    @push('styles')
        <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    @endpush
    <x-navbar />
    <form class="container max-w-lg mx-auto mt-6" action="{{ route('home') }}" method="GET">
        <label for="default-search" class="mb-2 text-sm font-medium text-gray-900 sr-only dark:text-white">Search</label>
        <div class="flex space-y-2 flex-col">
            <div class="relative flex-1">
                <div class="absolute inset-y-0 start-0 flex items-center ps-3 pointer-events-none">
                    <svg class="w-4 h-4 text-gray-500 dark:text-gray-400" aria-hidden="true"
                        xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20">
                        <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="m19 19-4-4m0-7A7 7 0 1 1 1 8a7 7 0 0 1 14 0Z" />
                    </svg>
                </div>
                <input type="search" id="default-search" name="title" value="{{ request('title') }}"
                    class="block w-full p-4 ps-10 text-sm text-gray-900 border border-gray-300 rounded-lg bg-gray-50 focus:ring-blue-500 focus:border-blue-500"
                    placeholder="Search for movie name" />

            </div>
            <select name="categories[]" multiple="multiple"
                class="js-example-basic-multiple flex-1 bg-gray-50 border-gray-300 h-[54px]"
                placeholder="Select categories">
                @foreach ($categories as $category)
                    <option value="{{ $category->id }}" @selected(in_array($category->id, request('categories', [])))>
                        {{ $category->name }}
                    </option>
                @endforeach
            </select>
            <button type="submit"
                class="mx-auto text-white bg-blue-700 hover:bg-blue-800 font-medium rounded-lg text-sm px-4 py-2 block w-[180px]">
                Search
            </button>
        </div>

    </form>
    <div class="container max-w-screen-xl mx-auto px-4 py-16">
        <h2 class="text-2xl font-bold text-gray-800 dark:text-gray-100">Trending Movies</h2>

        <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4 gap-8 mt-8">
            @forelse ($movies as $movie)
                <x-movie-card :movie="$movie" />
            @empty
                <p class="text-gray-600 dark:text-gray-300">No movies found</p>
            @endforelse
        </div>
        <div class="mt-8">
            {{ $movies->links() }}
        </div>
    
    </div>
    @push('scripts')
        <script src="https://code.jquery.com/jquery-3.7.1.min.js"
            integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
        <script>
            $(document).ready(function() {
                $('.js-example-basic-multiple').select2({
                    placeholder: 'Select categories',
                });
            });
        </script>
    @endpush

 
</x-guest-layout>

resources/views/movies/show.blade.php
{{-- movie details page --}}
<x-guest-layout>
    <x-navbar />
    <div class="container max-w-screen-xl mx-auto">
        <nav class=" flex py-4 px-6 " aria-label="Breadcrumb">
            <ol class="inline-flex items-center space-x-1 md:space-x-2 rtl:space-x-reverse">
                <li class="inline-flex items-center">
                    <a href="{{ route('home') }}"
                        class="inline-flex items-center text-sm font-medium text-gray-700 hover:text-blue-600 dark:text-gray-400 dark:hover:text-white">
                        <svg class="w-3 h-3 me-2.5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
                            fill="currentColor" viewBox="0 0 20 20">
                            <path
                                d="m19.707 9.293-2-2-7-7a1 1 0 0 0-1.414 0l-7 7-2 2a1 1 0 0 0 1.414 1.414L2 10.414V18a2 2 0 0 0 2 2h3a1 1 0 0 0 1-1v-4a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v4a1 1 0 0 0 1 1h3a2 2 0 0 0 2-2v-7.586l.293.293a1 1 0 0 0 1.414-1.414Z" />
                        </svg>
                        Home
                    </a>
                </li>
                <li>
                    <div class="flex items-center">
                        <svg class="rtl:rotate-180 w-3 h-3 text-gray-400 mx-1" aria-hidden="true"
                            xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 6 10">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                d="m1 9 4-4-4-4" />
                        </svg>
                        <span class="ms-1 text-sm font-medium text-gray-700 md:ms-2">
                            {{ $movie->title }}
                        </span>
                    </div>
                </li>
        </nav>
    </div>
    <div class="container max-w-screen-xl mx-auto px-4 py-16">

        <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-8">
            <div class="mx-auto lg:col-span-1">
                <img src="{{ 'https://www.themoviedb.org/t/p/w600_and_h900_bestv2/' . $movie->image }}" alt="poster"
                    class="w-[400px] rounded-lg shadow-lg">
            </div>
            <div class="mx-auto lg:col-span-2 px-6 md:px-0">
                <h2 class="text-2xl font-bold text-gray-800 dark:text-gray-100">{{ $movie->title }}</h2>
                <div class="flex items-center space-x-2 mt-4">
                    <div class="flex items-center">
                        <svg class="w-4 h-4 text-yellow-300 me-1" aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
                            fill="currentColor" viewBox="0 0 22 20">
                            <path
                                d="M20.924 7.625a1.523 1.523 0 0 0-1.238-1.044l-5.051-.734-2.259-4.577a1.534 1.534 0 0 0-2.752 0L7.365 5.847l-5.051.734A1.535 1.535 0 0 0 1.463 9.2l3.656 3.563-.863 5.031a1.532 1.532 0 0 0 2.226 1.616L11 17.033l4.518 2.375a1.534 1.534 0 0 0 2.226-1.617l-.863-5.03L20.537 9.2a1.523 1.523 0 0 0 .387-1.575Z" />
                        </svg>
                        <span class="text-gray-600 dark:text-gray-300">{{ round($movie->vote_average, 1) }} / 10</span>
                    </div>
                    <span>&bull;</span>
                    <span>{{ \Carbon\Carbon::parse($movie->release_date)->format('M d, Y') }}</span>
                    <span>&bull;</span>
                    <span>{{ $movie->runtime > 60 ? floor($movie->runtime / 60) . 'h ' . $movie->runtime % 60 . 'min' : $movie->runtime . 'min' }}</span>
                </div>
                <div class="flex items-center space-x-2 mt-4">
                    @foreach ($movie->categories as $category)
                        <span class="text-gray-600 dark:text-gray-300">{{ $category->name }}</span>
                    @endforeach
                </div>
                <p class="text-gray-600 dark:text-gray-300 mt-8">
                    {!! nl2br($movie->overview) !!}
                </p>
                <div class="mt-8">
                    <a href="{{ $movie->homepage }}" target="_blank"
                        class="inline-flex items-center px-3 py-2 text-sm font-medium text-center text-white bg-blue-700 rounded-lg hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
                        Visit Homepage
                        <svg class="rtl:rotate-180 w-3.5 h-3.5 ms-2" aria-hidden="true"
                            xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 14 10">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                d="M1 5h12m0 0L9 1m4 4L9 9" />
                        </svg>
                    </a>
                </div>
                <h3 class="text-xl font-bold text-gray-800 dark:text-gray-100 mt-8">Production Companies</h3>
                <div class="flex flex-wrap gap-4 p-5 border-t border-gray-200 dark:border-gray-700 mt-5">
                    @foreach ($movie->production_companies as $company)
                        @if ($company->logo_path)
                            <img src="https://www.themoviedb.org/t/p/w92/{{ $company->logo_path }}"
                                alt="{{ $company->name }}" title="{{ $company->name }}" class="h-8">
                        @else
                            <span class="text-gray-600 dark:text-gray-300">{{ $company->name }}</span>
                        @endif
                    @endforeach
                </div>
            </div>
        </div>
    </div>
</x-guest-layout>

resources/views/policy.blade.php
<x-guest-layout>
    <div class="pt-4 bg-gray-100">
        <div class="min-h-screen flex flex-col items-center pt-6 sm:pt-0">
            <div>
                <x-authentication-card-logo />
            </div>

            <div class="w-full sm:max-w-2xl mt-6 p-6 bg-white shadow-md overflow-hidden sm:rounded-lg prose">
                {!! $policy !!}
            </div>
        </div>
    </div>
</x-guest-layout>

resources/views/terms.blade.php
<x-guest-layout>
    <div class="pt-4 bg-gray-100">
        <div class="min-h-screen flex flex-col items-center pt-6 sm:pt-0">
            <div>
                <x-authentication-card-logo />
            </div>

            <div class="w-full sm:max-w-2xl mt-6 p-6 bg-white shadow-md overflow-hidden sm:rounded-lg prose">
                {!! $terms !!}
            </div>
        </div>
    </div>
</x-guest-layout>